LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices



Reply
 
Search this Thread
Old 09-10-2004, 08:26 PM   #1
pdmackenzie
Member
 
Registered: Dec 2002
Location: toronto
Distribution: mandrake 10
Posts: 135

Rep: Reputation: 15
concerning the imlib/imlib2 vulnerability in mandrake 9.2...


Hello!
The mandrake 9.2 imlib/imlib2 vulnerability (viewable at : http://secunia.com/advisories/12483/) says that patches are available for download. How would one go about doing this? I tried 'urpmi --upgrade imlib' but nothing happened.

The link I referred to about also says:

Mandrakelinux 9.2:
de030104e6dd6bb5c4aa2f076c4514c6 9.2/RPMS/imlib-1.9.14-8.1.92mdk.i586.rpm
fd99bd742d696ea8ac43aef9ee86d25e 9.2/RPMS/imlib-cfgeditor-1.9.14-8.1.92mdk.i586.rpm
b1ef54878da62d2e5a69bdf305c574c5 9.2/RPMS/libimlib1-1.9.14-8.1.92mdk.i586.rpm
08a13f893c88051cbc66c685d8cd635d 9.2/RPMS/libimlib1-devel-1.9.14-8.1.92mdk.i586.rpm
2e4efaa54b9929fbf2e0e390907b9225 9.2/RPMS/libimlib2_1-1.0.6-4.1.92mdk.i586.rpm
525c7dc281fb0da4edf99cb3ce7d2545 9.2/RPMS/libimlib2_1-devel-1.0.6-4.1.92mdk.i586.rpm
cc2460b560c5b11eeb804502954aa038 9.2/RPMS/libimlib2_1-filters-1.0.6-4.1.92mdk.i586.rpm
e80a879d5da05b68ef5d9cad932ba921 9.2/RPMS/libimlib2_1-loaders-1.0.6-4.1.92mdk.i586.rpm
7dd8f9265ede345c58d05ae6ed376145 9.2/SRPMS/imlib-1.9.14-8.1.92mdk.src.rpm
0766a9aead77eec5cec8ebbc06504003 9.2/SRPMS/imlib2-1.0.6-4.1.92mdk.src.rpm

But I have no idea what this means.

Can anyone help?

thanks in advance,
doug.
 
Old 09-10-2004, 10:12 PM   #2
pongmaster
Member
 
Registered: Jul 2004
Location: London, England
Distribution: Mandrake 10.1
Posts: 300

Rep: Reputation: 30
You should probably read the article on the Mandrake site.
http://www.mandrakesoft.com/security...MDKSA-2004:089
They suggest using the update facility in rpmdrake.
 
Old 09-11-2004, 03:13 PM   #3
pdmackenzie
Member
 
Registered: Dec 2002
Location: toronto
Distribution: mandrake 10
Posts: 135

Original Poster
Rep: Reputation: 15
Hello!
On the page you gave me, they recommend using MadrakeUpdate. However, since when I type 'MadrakeUpdate' at the command line as either root or a user, the command is not found. When I attempt to urmpi MadrakeUpdate, I get this response:

[root@localhost doug]# urpmi MandrakeUpdate
Some package requested cannot be installed:
MandrakeUpdateRobot-1.2-2mdk.i586 (due to unsatisfied librpmio-4.0.4.so) (Y/n)

I type 'y' but nothing happens. I guess this means I have to start a new MandrakeUpdate thread... 1 step forward and 2 steps back!

doug
 
Old 09-11-2004, 07:33 PM   #4
pongmaster
Member
 
Registered: Jul 2004
Location: London, England
Distribution: Mandrake 10.1
Posts: 300

Rep: Reputation: 30
OK, the update facility is in the Mandrake control centre, under software management.
start menu -> system -> configuration -> configure your computer.
Enter root password and MCC starts. Go to software management and click on the update link.
You'll be able to follow through logically from there.
 
Old 09-12-2004, 12:32 PM   #5
pdmackenzie
Member
 
Registered: Dec 2002
Location: toronto
Distribution: mandrake 10
Posts: 135

Original Poster
Rep: Reputation: 15
Hello!
Oddly enough, when I click on start menu -> system -> configuration, the only choice available is -> other -> LocaleDrake, for some reason. Is there no other way to start MandrakeUpdate, apart from the menu?

doug
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mandrake IPtables Vulnerability Capt_Caveman Linux - Security 1 11-05-2004 02:29 AM
Where can I find imlib 1.8 metalaid Linux - Software 1 01-20-2004 12:04 AM
feh / Imlib2: "no imlib2 loader for that file format" froedi Linux - Software 2 11-30-2003 08:44 AM
imlib-config imlib2-config chingasman Linux - General 2 02-13-2003 01:42 PM
imlib Neur0tek Linux - Newbie 2 04-25-2002 11:11 PM


All times are GMT -5. The time now is 03:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration